## ros-one-robot-calibration 0.7.2-3jammy.20251207.2212

=== debian/changelog ===
ros-one-robot-calibration (0.7.2-3jammy.20251207.2212) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 07 Dec 2025 22:12:22 +0000

ros-one-robot-calibration (0.7.2-0jammy) jammy; urgency=high

  * calibrate falling attributes as well if they exist (#144 <https://github.com/mikeferguson/robot_calibration/issues/144>)
    For continuous joints actually both flags could be specified.
  * Changes for Ubuntu 22.04 (#141 <https://github.com/mikeferguson/robot_calibration/issues/141>)
    * no longer use c++11
    * Add missing boost header
    * Switch to non deprecated pluginlib header
  * Contributors: Jochen Sprickerhof, Michael Görner

 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 23 Dec 2022 00:00:00 -0000

ros-one-robot-calibration (0.7.1-0jammy) jammy; urgency=high

  * enhance alignment (#130 <https://github.com/mikeferguson/robot_calibration/issues/130>)
    * handle NANs in laser data
    * add r2_tolerance
    * add spinOnce so that we can run single threaded
    * exit loop if shutting down
  * fix regression in manual calibration (#129 <https://github.com/mikeferguson/robot_calibration/issues/129>)
  * fix warnings reported on ros.org buildfarm (#128 <https://github.com/mikeferguson/robot_calibration/issues/128>)
  * improve base calibration alignment (#127 <https://github.com/mikeferguson/robot_calibration/issues/127>)
    * add feature to align to arbitrary angle
    * parameterize things, including verbose
  * refactor base_calibration into separate class (#126 <https://github.com/mikeferguson/robot_calibration/issues/126>)
  * major refactor into re-usable components (#125 <https://github.com/mikeferguson/robot_calibration/issues/125>)
    * add getPosesFromBag function
    * add captureManager to clean up code and improve re-usability
    * split out exportResults as a function
    * for all models, renamed name() to getName(), added getType() function
    * add getCameraNames() function to optimizer, so that we can:
    * output camera calibrations for ALL cameras
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 15 Jun 2022 00:00:00 -0000

ros-one-robot-calibration (0.7.0-0jammy) jammy; urgency=high

  * filter planes by closeness to desired normal (#124 <https://github.com/mikeferguson/robot_calibration/issues/124>)
  * add finder for laser scan data (#123 <https://github.com/mikeferguson/robot_calibration/issues/123>)
    best way to use this right now is to create point laser scanner at a
    wall, create a plane from the laser scan, and align it with a plane
    that has been seen by a camera
  * sample observation more evenly (#122 <https://github.com/mikeferguson/robot_calibration/issues/122>)
    the plane finder previously took points that were equally distributed by
    point cloud index - however this doesn't actually always represent a
    point cloud that is geometry well distributed. change the sampling so
    that we make one or more passes through the cloud sampling points that
    are at least a minimum distance away from the already sampled points
  * refactor plane finder (#121 <https://github.com/mikeferguson/robot_calibration/issues/121>)
    * use new eigen_geometry.h functions
    * use ransac to find the best plane
  * refactor and improve plane_to_plane cost function (#120 <https://github.com/mikeferguson/robot_calibration/issues/120>)
    * use Eigen rather than OpenCV
    * break plane parameter functions into separate header for reuse
    * make final residual distance between planes
    * make plane parameters always in same direction
  * make it easier to exit out of calibration (#119 <https://github.com/mikeferguson/robot_calibration/issues/119>)
  * parameterize max_num_iterations (#118 <https://github.com/mikeferguson/robot_calibration/issues/118>)
  * add chain3dToMesh calibration (#116 <https://github.com/mikeferguson/robot_calibration/issues/116>)
    * add cost function
    * add mesh loader utilities
    * add node to visualize meshes load
  * allow using the same camera model with different finders (#112 <https://github.com/mikeferguson/robot_calibration/issues/112>)
    the use case here is that a single camera is used in multiple
    finders. When that happens we want the same parameters to
    be used when calibrating the camera intrinsics, but we
    need a different camera name to differentiate which
    observation should be associated with which error block
    (this is especially true for the upcoming robot/plane
    finder)
  * add robot finder (#111 <https://github.com/mikeferguson/robot_calibration/issues/111>)
    The robot finder can be used to find the base of the robot and the floor at the same time
  * increase marker size (#117 <https://github.com/mikeferguson/robot_calibration/issues/117>)
  * minor improvements and fixes for viz node (#110 <https://github.com/mikeferguson/robot_calibration/issues/110>)
    * move publishers earlier and make latching
    * don't crash if no points in observation after projecting
  * refactor and improve plane finder (#109 <https://github.com/mikeferguson/robot_calibration/issues/109>)
    * break up the find() function so that it is more re-usable
    * change points_max parameter to an integer rather than double
    * actually find the plane rather than just assuming everything is part of the plane
  * bump cmake version to silence warnings on noetic (#107 <https://github.com/mikeferguson/robot_calibration/issues/107>)
  * Updated the press key message (#106 <https://github.com/mikeferguson/robot_calibration/issues/106>)
  * Add exception when the chain cannot be created (#105 <https://github.com/mikeferguson/robot_calibration/issues/105>)
  * Contributors: Gerardo Puga, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 20 Apr 2022 00:00:00 -0000

ros-one-robot-calibration (0.6.5-0jammy) jammy; urgency=high



## ros-one-robot-calibration 0.7.2-3jammy.20260221.2105

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(robot_calibration)

find_package(Boost REQUIRED system thread)

find_library(tinyxml_library tinyxml)
if (tinyxml_library)
  message (STATUS "Looking for libtinyxml - found")
  set(tinyxml_LIBRARIES ${tinyxml_library})
endif ()
find_path(tinyxml_include_dirs NAMES tinyxml.h PATH_SUFFIXES tinyxml)
if (NOT tinyxml_include_dirs)
   message (STATUS "Looking for tinyxml/tinyxml.hpp or tinyxml/tinyxml.h - not found.")
endif ()

find_package(orocos_kdl)
find_package(Ceres REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(OpenCV REQUIRED)
find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    camera_calibration_parsers
    cv_bridge
    geometry_msgs
    geometric_shapes
    kdl_parser
    moveit_msgs
    nav_msgs
    pluginlib
    robot_calibration_msgs
    rosbag
    roscpp
    sensor_msgs
    std_msgs
    tf
    tf2_geometry_msgs
    tf2_ros
    visualization_msgs
)

catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    actionlib
    camera_calibration_parsers
    cv_bridge
    geometry_msgs
    geometric_shapes
    kdl_parser
    moveit_msgs
    nav_msgs
    pluginlib
    robot_calibration_msgs
    rosbag
    roscpp
    sensor_msgs
    std_msgs
    tf
    tf2_geometry_msgs
    tf2_ros
  DEPENDS
    Boost
    orocos_kdl
  LIBRARIES
    robot_calibration
    robot_calibration_feature_finders
)

if (CATKIN_ENABLE_TESTING AND ENABLE_COVERAGE_TESTING)
  find_package(code_coverage REQUIRED)
  APPEND_COVERAGE_COMPILER_FLAGS()
endif()

include_directories(include
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS}
                    ${CERES_INCLUDES}
                    ${EIGEN3_INCLUDE_DIRS}
                    ${orocos_kdl_INCLUDE_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS}) # this is a hack, will eventually be unneeded once orocos-kdl is fixed

add_library(robot_calibration
  src/base_calibration.cpp
  src/calibration_export.cpp
  src/calibration_offset_parser.cpp
  src/capture_manager.cpp
  src/capture_poses.cpp
  src/chain_manager.cpp
  src/mesh_loader.cpp
  src/models.cpp
  src/optimization_params.cpp
  src/optimizer.cpp
)
target_link_libraries(robot_calibration
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${CERES_LIBRARIES}
  ${tinyxml_LIBRARIES}
  ${orocos_kdl_LIBRARIES}
)
add_dependencies(robot_calibration
  robot_calibration_msgs_generate_messages_cpp
)

add_library(robot_calibration_feature_finders
  src/finders/checkerboard_finder.cpp
  src/finders/led_finder.cpp
  src/finders/plane_finder.cpp
  src/finders/robot_finder.cpp
  src/finders/scan_finder.cpp
)
target_link_libraries(robot_calibration_feature_finders
  robot_calibration
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${tinyxml_LIBRARIES}
  ${orocos_kdl_LIBRARIES}
  ${OpenCV_LIBS}
)
add_dependencies(robot_calibration_feature_finders
  robot_calibration_msgs_generate_messages_cpp
)

add_executable(calibrate src/calibrate.cpp)
target_link_libraries(calibrate
  robot_calibration
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${CERES_LIBRARIES}
  ${tinyxml_LIBRARIES}
  ${orocos_kdl_LIBRARIES}
  ${OpenCV_LIBS}
)
add_dependencies(calibrate robot_calibration)

add_executable(base_calibration_node src/base_calibration_node.cpp)
target_link_libraries(base_calibration_node
  robot_calibration
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

add_executable(magnetometer_calibration src/magnetometer_calibration.cpp)
target_link_libraries(magnetometer_calibration
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${CERES_LIBRARIES}
)

add_executable(to_rpy src/tools/to_rpy.cpp)
target_link_libraries(to_rpy
  robot_calibration
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${orocos_kdl_LIBRARIES}
)
add_dependencies(to_rpy robot_calibration)

add_executable(viz src/tools/viz.cpp)
target_link_libraries(viz
  robot_calibration
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${orocos_kdl_LIBRARIES}
)
add_dependencies(viz robot_calibration)

add_executable(viz_mesh src/tools/viz_mesh.cpp)
target_link_libraries(viz_mesh
  robot_calibration
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${orocos_kdl_LIBRARIES}
)
add_dependencies(viz_mesh robot_calibration)

add_subdirectory(test)

install(DIRECTORY include/ DESTINATION include)

install(TARGETS
  base_calibration_node
  calibrate
  magnetometer_calibration
  robot_calibration
  robot_calibration_feature_finders
  to_rpy
  viz
  viz_mesh
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )

install(FILES robot_calibration.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== test/CMakeLists.txt ===
if(CATKIN_ENABLE_TESTING)

find_package(rostest REQUIRED)

catkin_add_gtest(calibration_offset_parser_tests calibration_offset_parser_tests.cpp)
target_link_libraries(calibration_offset_parser_tests robot_calibration
                                                      ${Boost_LIBRARIES}
                                                      ${catkin_LIBRARIES}
                                                      ${orocos_kdl_LIBRARIES}
                                                      ${tinyxml_LIBRARIES})

catkin_add_gtest(chain_model_tests chain_model_tests.cpp)
target_link_libraries(chain_model_tests robot_calibration
                                     ${Boost_LIBRARIES}
                                     ${catkin_LIBRARIES}
                                     ${CERES_LIBRARIES}
                                     ${orocos_kdl_LIBRARIES})

catkin_add_gtest(rotation_tests rotation_tests.cpp)
target_link_libraries(rotation_tests robot_calibration
                                     ${Boost_LIBRARIES}
                                     ${catkin_LIBRARIES}
                                     ${CERES_LIBRARIES}
                                     ${orocos_kdl_LIBRARIES})

add_executable(camera_info_tests camera_info_tests.cpp)
add_dependencies(tests camera_info_tests)
target_link_libraries(camera_info_tests robot_calibration
                                  ${Boost_LIBRARIES}
                                  ${catkin_LIBRARIES}
                                  ${GTEST_LIBRARIES})

add_executable(chain_manager_tests chain_manager_tests.cpp)
add_dependencies(tests chain_manager_tests)
target_link_libraries(chain_manager_tests robot_calibration
                                          ${Boost_LIBRARIES}
                                          ${catkin_LIBRARIES}
                                          ${GTEST_LIBRARIES})

add_executable(error_block_tests error_block_tests.cpp)
add_dependencies(tests error_block_tests)
target_link_libraries(error_block_tests robot_calibration
                                        ${Boost_LIBRARIES}
                                        ${catkin_LIBRARIES}
                                        ${CERES_LIBRARIES}
                                        ${GTEST_LIBRARIES}
                                        ${orocos_kdl_LIBRARIES})

add_executable(error_block_tests2 error_block_tests2.cpp)
add_dependencies(tests error_block_tests2)
target_link_libraries(error_block_tests2 robot_calibration
                                         ${Boost_LIBRARIES}
                                         ${catkin_LIBRARIES}
                                         ${CERES_LIBRARIES}
                                         ${GTEST_LIBRARIES}
                                         ${orocos_kdl_LIBRARIES})

add_executable(feature_finder_loader_tests feature_finder_loader_tests.cpp)
add_dependencies(tests feature_finder_loader_tests)
target_link_libraries(feature_finder_loader_tests robot_calibration
                                                  ${Boost_LIBRARIES}
                                                  ${catkin_LIBRARIES}
                                                  ${GTEST_LIBRARIES})

add_executable(optimization_param_tests optimization_param_tests.cpp)
add_dependencies(tests optimization_param_tests)
target_link_libraries(optimization_param_tests robot_calibration
                                               ${Boost_LIBRARIES}
                                               ${catkin_LIBRARIES}
                                               ${GTEST_LIBRARIES})

add_rostest(camera_info_tests.test)
add_rostest(chain_manager_tests.test)
add_rostest(feature_finder_loader_tests.test)
add_rostest(optimization_param_tests.test)
add_rostest(error_block_tests.test)
add_rostest(error_block_tests2.test)

if(ENABLE_COVERAGE_TESTING)
  set(COVERAGE_EXCLUDES "*/${PROJECT_NAME}/test*")
  add_code_coverage(
    NAME ${PROJECT_NAME}_coverage_report
    DEPENDENCIES _run_tests_${PROJECT_NAME}
  )
endif()

endif()  # if CATKIN_ENABLE_TESTING

=== debian/changelog ===
ros-one-robot-calibration (0.7.2-3jammy.20260221.2105) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 21 Feb 2026 21:05:19 +0000

=== debian/control ===
Source: ros-one-robot-calibration
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), libceres-dev, libeigen3-dev, libgflags-dev, liborocos-kdl-dev, libprotobuf-dev, libprotoc-dev, libsuitesparse-dev, protobuf-compiler, ros-one-actionlib, ros-one-camera-calibration-parsers, ros-one-catkin, ros-one-control-msgs, ros-one-cv-bridge, ros-one-geometric-shapes, ros-one-geometry-msgs, ros-one-kdl-parser, ros-one-moveit-msgs, ros-one-nav-msgs, ros-one-pluginlib, ros-one-robot-calibration-msgs, ros-one-rosbag, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/robot_calibration
Standards-Version: 3.9.2

Package: ros-one-robot-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, libgflags-dev, liborocos-kdl-dev, libprotobuf-dev, libprotoc-dev, libsuitesparse-dev, protobuf-compiler, ros-one-actionlib, ros-one-camera-calibration-parsers, ros-one-control-msgs, ros-one-cv-bridge, ros-one-geometric-shapes, ros-one-geometry-msgs, ros-one-kdl-parser, ros-one-moveit-msgs, ros-one-nav-msgs, ros-one-pluginlib, ros-one-robot-calibration-msgs, ros-one-rosbag, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-visualization-msgs
Description: Calibrate a Robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-robot-calibration//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-robot-calibration 0.7.2-3noble.20251023.0940

=== debian/changelog ===
ros-one-robot-calibration (0.7.2-3noble.20251023.0940) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 23 Oct 2025 09:40:07 +0000

ros-one-robot-calibration (0.7.2-0noble) noble; urgency=high

  * calibrate falling attributes as well if they exist (#144 <https://github.com/mikeferguson/robot_calibration/issues/144>)
    For continuous joints actually both flags could be specified.
  * Changes for Ubuntu 22.04 (#141 <https://github.com/mikeferguson/robot_calibration/issues/141>)
    * no longer use c++11
    * Add missing boost header
    * Switch to non deprecated pluginlib header
  * Contributors: Jochen Sprickerhof, Michael Görner

 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 23 Dec 2022 00:00:00 -0000

ros-one-robot-calibration (0.7.1-0noble) noble; urgency=high

  * enhance alignment (#130 <https://github.com/mikeferguson/robot_calibration/issues/130>)
    * handle NANs in laser data
    * add r2_tolerance
    * add spinOnce so that we can run single threaded
    * exit loop if shutting down
  * fix regression in manual calibration (#129 <https://github.com/mikeferguson/robot_calibration/issues/129>)
  * fix warnings reported on ros.org buildfarm (#128 <https://github.com/mikeferguson/robot_calibration/issues/128>)
  * improve base calibration alignment (#127 <https://github.com/mikeferguson/robot_calibration/issues/127>)
    * add feature to align to arbitrary angle
    * parameterize things, including verbose
  * refactor base_calibration into separate class (#126 <https://github.com/mikeferguson/robot_calibration/issues/126>)
  * major refactor into re-usable components (#125 <https://github.com/mikeferguson/robot_calibration/issues/125>)
    * add getPosesFromBag function
    * add captureManager to clean up code and improve re-usability
    * split out exportResults as a function
    * for all models, renamed name() to getName(), added getType() function
    * add getCameraNames() function to optimizer, so that we can:
    * output camera calibrations for ALL cameras
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 15 Jun 2022 00:00:00 -0000

ros-one-robot-calibration (0.7.0-0noble) noble; urgency=high

  * filter planes by closeness to desired normal (#124 <https://github.com/mikeferguson/robot_calibration/issues/124>)
  * add finder for laser scan data (#123 <https://github.com/mikeferguson/robot_calibration/issues/123>)
    best way to use this right now is to create point laser scanner at a
    wall, create a plane from the laser scan, and align it with a plane
    that has been seen by a camera
  * sample observation more evenly (#122 <https://github.com/mikeferguson/robot_calibration/issues/122>)
    the plane finder previously took points that were equally distributed by
    point cloud index - however this doesn't actually always represent a
    point cloud that is geometry well distributed. change the sampling so
    that we make one or more passes through the cloud sampling points that
    are at least a minimum distance away from the already sampled points
  * refactor plane finder (#121 <https://github.com/mikeferguson/robot_calibration/issues/121>)
    * use new eigen_geometry.h functions
    * use ransac to find the best plane
  * refactor and improve plane_to_plane cost function (#120 <https://github.com/mikeferguson/robot_calibration/issues/120>)
    * use Eigen rather than OpenCV
    * break plane parameter functions into separate header for reuse
    * make final residual distance between planes
    * make plane parameters always in same direction
  * make it easier to exit out of calibration (#119 <https://github.com/mikeferguson/robot_calibration/issues/119>)
  * parameterize max_num_iterations (#118 <https://github.com/mikeferguson/robot_calibration/issues/118>)
  * add chain3dToMesh calibration (#116 <https://github.com/mikeferguson/robot_calibration/issues/116>)
    * add cost function
    * add mesh loader utilities
    * add node to visualize meshes load
  * allow using the same camera model with different finders (#112 <https://github.com/mikeferguson/robot_calibration/issues/112>)
    the use case here is that a single camera is used in multiple
    finders. When that happens we want the same parameters to
    be used when calibrating the camera intrinsics, but we
    need a different camera name to differentiate which
    observation should be associated with which error block
    (this is especially true for the upcoming robot/plane
    finder)
  * add robot finder (#111 <https://github.com/mikeferguson/robot_calibration/issues/111>)
    The robot finder can be used to find the base of the robot and the floor at the same time
  * increase marker size (#117 <https://github.com/mikeferguson/robot_calibration/issues/117>)
  * minor improvements and fixes for viz node (#110 <https://github.com/mikeferguson/robot_calibration/issues/110>)
    * move publishers earlier and make latching
    * don't crash if no points in observation after projecting
  * refactor and improve plane finder (#109 <https://github.com/mikeferguson/robot_calibration/issues/109>)
    * break up the find() function so that it is more re-usable
    * change points_max parameter to an integer rather than double
    * actually find the plane rather than just assuming everything is part of the plane
  * bump cmake version to silence warnings on noetic (#107 <https://github.com/mikeferguson/robot_calibration/issues/107>)
  * Updated the press key message (#106 <https://github.com/mikeferguson/robot_calibration/issues/106>)
  * Add exception when the chain cannot be created (#105 <https://github.com/mikeferguson/robot_calibration/issues/105>)
  * Contributors: Gerardo Puga, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 20 Apr 2022 00:00:00 -0000

ros-one-robot-calibration (0.6.5-0noble) noble; urgency=high



## ros-one-robot-calibration 0.7.2-3noble.20251208.0909

=== debian/changelog ===
ros-one-robot-calibration (0.7.2-3noble.20251208.0909) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 08 Dec 2025 09:09:16 +0000

## ros-one-robot-calibration 0.7.2-3noble.20260221.2149

=== debian/changelog ===
ros-one-robot-calibration (0.7.2-3noble.20260221.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 21 Feb 2026 21:49:07 +0000
